Bug 1657968 - systemd-rpm-macros doesn't exist
Summary: systemd-rpm-macros doesn't exist
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora Documentation
Classification: Fedora
Component: packager-guide
Version: devel
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Bokoc
QA Contact: Fedora Docs QA
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-10 21:02 UTC by Todd Warner
Modified: 2019-11-07 15:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 15:29:56 UTC


Attachments (Terms of Use)

Description Todd Warner 2018-12-10 21:02:54 UTC
Description of problem:
https://docs.fedoraproject.org/en-US/packaging-guidelines/Scriptlets/#_scriptlets

In this section you use the results of `rpm --eval %systemd_requires` and claim it to be something that begins with `BuildRequires: systemd-rpm-macros`

I am an intermediate package builder and this section is confusing to me.

This is what I get on Fedora 28...
```
$ rpm --eval %{systemd_requires}

Requires(post): systemd 
Requires(preun): systemd 
Requires(postun): systemd 
```

This section needs to be (a) updated, and (b) written a bit clearer. I think. Anyway... it left me chasing my tail when I included that BuildRequires in my specfile.

Comment 1 Felix Kaechele 2019-04-28 02:47:00 UTC
systemd-rpm-macros only exists in F30+. Therefor any spec files following this guidance will only build on F30+.
On F29 and lower the systemd package provides the systemd RPM macros.

Comment 2 Petr Bokoc 2019-11-07 15:29:56 UTC
I'm closing this bug as part of a Bugzilla cleanup effort. The most likely reason is that the bug has been opened either against a component we no longer publish, or against Release Notes for an EOL release.


Note You need to log in before you can comment on or make changes to this bug.